#
# (c) 2014-2019, SWD Embedded Systems Limited, http://www.kpda.ru
#

ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

ISKERNEL := 1
NETDRIVERS_MK = $(firstword $(wildcard $(MKFILES_ROOT)/netdrivers.mk ../../../../../netdrivers.mk ../../netdrivers.mk))
include $(NETDRIVERS_MK)

LIBS = drvrS cacheS
LIBS += $(foreach libpath,$(LIBVPATH), $(if $(wildcard $(libpath)/libnetdrvrS.a), netdrvrS) )

NAME = devnp-sun8i

CCFLAGS += -Wall -Wextra -pedantic -Werror -std=gnu99

define PINFO
PINFO DESCRIPTION=sample io-pkt ethernet driver.
endef

include $(MKFILES_ROOT)/qtargets.mk
