/*
 * (c) 2023, SWD Embedded Systems Limited, http://www.kpda.ru
 */

/*
 * Allwinner H3 startup source file. 
 */

#ifndef AW_H3_STARTUP_H_
#define AW_H3_STARTUP_H_

/* callout prototype */
extern struct callout_rtn reboot_awh3;

void        aw_h3_timer_init(void); 
void        mdelay(uint32_t ms);
void        udelay(uint32_t us);

void        aw_h3_spinlock_init(void);
uint32_t 	aw_h3_spinlock_check(uint32_t lock);
void 		aw_h3_spinlock_lock(uint32_t lock);
void 		aw_h3_spinlock_unlock(uint32_t lock);

#endif /* AW_H3_STARTUP_H_ */
