/*
 * (c) 2019, SWD Embedded Systems Limited, http://www.kpda.ru
 */

#include "startup.h"

void
hwitag_add_frambuffer(paddr64_t paddr, uint64_t size, int width, int height, int pixel_fmt, int pixels_per_line)
{
#if defined(HWI_TAG_NAME_framebuffer)
	hwi_tag *tag;

	tag = hwi_alloc_tag(HWI_TAG_INFO(framebuffer));
	tag->framebuffer.paddr = paddr;
	tag->framebuffer.size = size;
	tag->framebuffer.width = width;
	tag->framebuffer.height = height;
	tag->framebuffer.pixels_per_line = pixels_per_line;
	tag->framebuffer.pixel_fmt = pixel_fmt;
#endif
}
